lgt2rst(1)

NAME
lgt2rst - Logtalk script for converting XML documenting files into reStructuredText files for use with Sphinx

SYNOPSIS
lgt2rst [ -d directory ] [ -i index ] [ -t title ] [ -p processor ] [ -s ]
lgt2rst -h

DESCRIPTION
lgt2rst is a Logtalk script for converting all Logtalk XML documenting files in the current directory into reStructuredText files for use with Sphinx. Assumes UTF-8 encoding.

OPTIONS

-d  directory Output directory for the reStructuredText files.

-i  index Name of the index file.

-t  title Title to be used on the index file.

-p  processor XSLT processor.

-s  Runs sphinx-quickstart script.

-h  Prints a summary of the script options.

REQUIREMENTS
Requires a compatible XSLT processor. See the script help screen for more information. The use of the -s option requires Sphinx and the Read the Docs Sphinx Theme to be installed.

ENVIRONMENT

LOGTALKHOME
    Specifies the location of the Logtalk installation.

LOGTALKUSER
    Specifies the location of the Logtalk user directory.

FILES

$LOGTALKHOME/tools/lgtdoc/xml/logtalk_entity.dtd
    The Logtalk entity DTD file.

$LOGTALKHOME/tools/lgtdoc/xml/logtalk_index.dtd
    The Logtalk index DTD file.

$LOGTALKUSER/tools/lgtdoc/xml/custom.ent
    The Logtalk custom entities file.

$LOGTALKHOME/tools/lgtdoc/xml/logtalk_entity.xsd
    The Logtalk entity XML Schema file.

$LOGTALKHOME/tools/lgtdoc/xml/logtalk_index.xsd
    The Logtalk index XML Schema file.

$LOGTALKUSER/tools/lgtdoc/xml/logtalk_entity_to_rst.xsl
    The Logtalk entity XSLT file.

$LOGTALKUSER/tools/lgtdoc/xml/logtalk_index_to_rst.xsl
    The Logtalk index XSLT file.

$LOGTALKUSER/tools/lgtdoc/xml/conf.py_t
    The conf.py template file.

SEE ALSO
The Sphinx website at <http://www.sphinx-doc.org/en/master/>

The Logtalk website at <https://logtalk.org/>

The Logtalk User and Reference Manuals at $LOGTALKHOME/manuals/index.html

logtalk_user_setup(1), lgt2html(1), lgt2xml(1), lgt2pdf(1), lgt2md(1), lgt2txt(1)

AUTHOR
Paulo Moura <pmoura@logtalk.org>

COPYRIGHT
Copyright (c) 1998-2019 Paulo Moura.